/**
 * 
 */
package net.gorry.android.input.nicownng;

import android.content.Context;
import android.inputmethodservice.Keyboard.Key;
import android.inputmethodservice.KeyboardView;
import android.util.AttributeSet;
import android.util.Log;
import android.view.MotionEvent;

/**
 * 
 * キーボードビュー
 * 
 * @author GORRY
 *
 */
public class MyKeyboardView extends KeyboardView {
	private static final String TAG = "MyKeyboardView";
	private static final boolean V = false;

	private DefaultSoftKeyboard mDefaultSoftKeyboard;
	
	public MyKeyboardView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public MyKeyboardView(Context context, AttributeSet attrs, int defStyle) {
		super(context, attrs, defStyle);
	}

	@Override
	protected boolean onLongPress(Key popupKey) {
		int popupKeyboardId = popupKey.popupResId;
		if (popupKeyboardId != 0) {
			if (mDefaultSoftKeyboard != null) {
				mDefaultSoftKeyboard.fadePreview();
			}
		}
		return super.onLongPress(popupKey);
	}

	@Override
	public void closing() {
		super.closing();
	}

	public void setDefaultKeyboardView(DefaultSoftKeyboard kbd) {
		mDefaultSoftKeyboard = kbd;
	}

}
